<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VendorRoles StructType
 * @subpackage Structs
 */
class VendorRoles extends AbstractStructBase
{
    /**
     * The selectedRole
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $selectedRole;
    /**
     * Constructor method for VendorRoles
     * @uses VendorRoles::setSelectedRole()
     * @param \StructType\RecordRef $selectedRole
     */
    public function __construct(\StructType\RecordRef $selectedRole = null)
    {
        $this
            ->setSelectedRole($selectedRole);
    }
    /**
     * Get selectedRole value
     * @return \StructType\RecordRef|null
     */
    public function getSelectedRole()
    {
        return $this->selectedRole;
    }
    /**
     * Set selectedRole value
     * @param \StructType\RecordRef $selectedRole
     * @return \StructType\VendorRoles
     */
    public function setSelectedRole(\StructType\RecordRef $selectedRole = null)
    {
        $this->selectedRole = $selectedRole;
        return $this;
    }
}
